{"schemaVersion":"markgit.tool-docs/v1","tool":{"kind":"tool","id":"78576cfe-3b07-4c34-8fa0-e777e6b286da","slug":"penguin-goal-data","name":"Penguin Goal Data","description":"Returns one deterministic observation per call and signals when the requested demo goal has reached its target step.","category":"developer-tools","tags":["demo","goal","data","fastapi"],"provider":{"id":"5ef03290-1fcb-4128-b29c-29c47ca556c3","name":"Markgit Penguin Demo","trustTier":"basic"},"version":{"number":1,"manifestDigest":"c161b69317715e4a5b5a772dbc65eafd318d5a7cf093c2cedee72f1db2adbb35","immutable":true},"trust":{"provider":{"tier":"basic","paymentVerified":false},"endpoint":{"status":"verified","origin":"https://api.markgit.com","verifiedAt":"2026-08-01T21:33:43.033Z"},"version":{"status":"versioned","manifestDigest":"c161b69317715e4a5b5a772dbc65eafd318d5a7cf093c2cedee72f1db2adbb35"},"behavior":{"status":"new","evidence":"markgit_calls"}},"risk":{"level":"medium","capabilities":{"declared":true,"readOnly":true,"destructive":false,"idempotent":true,"openWorld":true,"readsPrivateData":false,"seesUntrustedContent":true,"writesExternalData":false,"sendsMessages":false,"spendsMoney":false,"executesCode":false,"requiresUserCredential":false,"allowedOutboundDomains":["api.markgit.com"],"dataRetention":"none"}},"policy":{"callable":false,"monetizationEligible":false,"eligibleForAutoCall":false,"riskLevel":"medium","approval":{"requirement":"blocked","manifestDigest":"c161b69317715e4a5b5a772dbc65eafd318d5a7cf093c2cedee72f1db2adbb35"},"reasons":["paid provider has not completed payment verification"]},"pricing":{"type":"per_call","currency":"USD","amount":"0.1000"},"usage":{"count":3,"uniqueUsers":1,"tracked":true,"coverage":"markgit_calls","invocationsLabel":"Under 1K invokes","usersLabel":"Under 100 users"},"updatedAt":"2026-08-01T21:32:42.621Z"},"documentation":{"metadata":"https://api.markgit.com/v1/registry/tools/penguin-goal-data","json":"https://api.markgit.com/v1/registry/tools/penguin-goal-data/docs","openapi":"https://api.markgit.com/v1/registry/tools/penguin-goal-data/openapi.json","llms":"https://api.markgit.com/v1/registry/tools/penguin-goal-data/llms.txt"},"invocation":{"flow":["POST /v1/tools/penguin-goal-data/quote to receive the exact price and spend-control decision.","Inspect policy.approval and obtain the required user approval for this exact manifest digest and quote total.","POST /v1/tools/penguin-goal-data/call with the quote ID, input object, approval manifest digest when required, Bearer API key, and a unique Idempotency-Key."],"quote":{"method":"POST","url":"https://api.markgit.com/v1/tools/penguin-goal-data/quote","authentication":"Bearer API key","requestBody":{},"responseSchema":{"type":"object","required":["quote","tool","controls"],"properties":{"quote":{"type":"object","required":["id","priceUsd","feeUsd","totalUsd","expiresAt"],"properties":{"id":{"type":"string","format":"uuid"},"priceUsd":{"type":"string"},"feeUsd":{"type":"string"},"totalUsd":{"type":"string"},"expiresAt":{"type":"string","format":"date-time"}}},"controls":{"type":"object","properties":{"approved":{"type":"boolean"},"violations":{"type":"array","items":{"type":"string"}}}}}}},"call":{"method":"POST","url":"https://api.markgit.com/v1/tools/penguin-goal-data/call","authentication":"Bearer API key","requiredHeaders":{"Authorization":"Bearer mkgt_...","Content-Type":"application/json","Idempotency-Key":"A unique value for this logical call"},"requestSchema":{"type":"object","required":["quoteId","input"],"properties":{"quoteId":{"type":"string","format":"uuid"},"input":{"type":"object","required":["goal","step"],"properties":{"goal":{"type":"string","maxLength":500,"minLength":1},"step":{"type":"integer","maximum":5,"minimum":1},"targetSteps":{"type":"integer","default":3,"maximum":5,"minimum":1}},"additionalProperties":false},"approval":{"type":"object","description":"Required unless policy.approval.requirement is covered_by_user_policy.","properties":{"manifestDigest":{"type":"string","const":"c161b69317715e4a5b5a772dbc65eafd318d5a7cf093c2cedee72f1db2adbb35"}}}}},"requestExample":{"quoteId":"approved-quote-id","input":{"goal":"string","step":1,"targetSteps":3},"approval":{"manifestDigest":"c161b69317715e4a5b5a772dbc65eafd318d5a7cf093c2cedee72f1db2adbb35"}},"responseSchema":{"type":"object","required":["id","tool","status","cost","output","error"],"properties":{"id":{"type":"string","description":"Execution identifier"},"tool":{"type":"object","properties":{"id":{"type":"string"},"slug":{"const":"penguin-goal-data"},"name":{"const":"Penguin Goal Data"}}},"status":{"type":"string","enum":["completed","failed"]},"cost":{"type":"object","properties":{"priceUsd":{"type":"string"},"feeUsd":{"type":"string"},"totalUsd":{"type":"string"},"currency":{"const":"USD"}}},"output":{"type":"object","required":["goal","step","datum","goalAchieved"],"properties":{"goal":{"type":"string"},"step":{"type":"integer"},"datum":{"type":"string"},"goalAchieved":{"type":"boolean"}}},"error":{"anyOf":[{"type":"null"},{"type":"object","properties":{"message":{"type":"string"}}}]}}},"responseExample":{"id":"execution-id","tool":{"id":"78576cfe-3b07-4c34-8fa0-e777e6b286da","slug":"penguin-goal-data","name":"Penguin Goal Data"},"status":"completed","cost":{"priceUsd":"0.1000","feeUsd":"calculated at quote time","totalUsd":"returned by the approved quote","currency":"USD"},"output":{"goal":"string","step":1,"datum":"string","goalAchieved":true},"error":null}},"direct":null}}